# Enum Class CLNImageFlagStandard

java.lang.Object
java.lang.Enum<CLNImageFlagStandard>
com.io7m.calino.api.CLNImageFlagStandard

All Implemented Interfaces:
  `CLNDescribableType, CLNImageFlagType, Serializable, Comparable<CLNImageFlagStandard>, Constable`

public enum CLNImageFlagStandard extends Enum<CLNImageFlagStandard> implements CLNImageFlagType
The standard image flags.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALPHA_PREMULTIPLIED`
  The image data is alpha premultiplied.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CLNImageFlagStandard`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CLNImageFlagStandard[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface CLNDescribableType

  `descriptor`

- ## Enum Constant Details

  - ### ALPHA_PREMULTIPLIED

    public static final CLNImageFlagStandard ALPHA_PREMULTIPLIED
    The image data is alpha premultiplied.

- ## Method Details

  - ### values

    public static CLNImageFlagStandard[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CLNImageFlagStandard valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null